- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cParsimProtocolBase Class Reference
[Parallel simulation support]

Contains utility functions for implementing parallel simulation protocols. More...

`#include <cparsimprotocolbase.h>`

Inheritance diagram for cParsimProtocolBase:

List of all members.

## Public Member Functions
| cParsimProtocolBase ()
virtual | ~cParsimProtocolBase ()
virtual void | processOutgoingMessage (cMessage *msg, int procId, int moduleId, int gateId, void *data)

## Detailed Description

Contains utility functions for implementing parallel simulation protocols.

## Constructor & Destructor Documentation

cParsimProtocolBase::cParsimProtocolBase | ( |  | ) |

| Constructor.

virtual cParsimProtocolBase::~cParsimProtocolBase | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cParsimProtocolBase::processOutgoingMessage | ( | cMessage * | msg,
|  | int | procId,
|  | int | moduleId,
|  | int | gateId,
|  | void * | data
| ) | `[virtual]`

| Performs no optimization, just sends out the cMessage to the given partition. Implements cParsimSynchronizer. Reimplemented in cISPEventLogger, and cNullMessageProtocol.

The documentation for this class was generated from the following file:

- cparsimprotocolbase.h